Subject: bug#36492: c-mode fails with errors during fontification

From: Juri Linkov <[email-masked]>
Date: Mon, 08 Jul 2019 00:52:02 +0300

>>> Opening this message in Gnus fails with the following backtrace
>>> because c-mode fails to fontify the attachment.
>
>> Actually, with the attachment in this message the bug in c-mode
>> font-lock is much easier to reproduce.
>
> That is one ugly piece of erroneous C.  ;-)
>
> What triggers the bug is the ) without a preceding (.  A variable
> recording the position of the opening ( is still set to nil, and we
> tried to use it in the given buffer with the unbalanced ).
>
>> [-- text/x-csrc, encoding 7bit, charset: US-ASCII, 3 lines, name: test.c --]
>
> The following patch fixes it, I hope.  Would you please do the usual,
> and confirm that it does indeed fix the bug (or tell me what's still
> wrong).

Thanks, Alan.  Now there is no error anymore.

I wonder if ignore-errors around font-lock-ensure in mm-display-inline-fontify
is still necessary to ensure no more bugs in other modes disrupt Gnus
by erroneous code in attachments?  Or maybe raising such errors will help
to find fontification bugs sooner?